<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>mbigint_m_mbigint</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="percentmbigint_m_bigint.html">&lt;&lt; mbigint_m_bigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentmbigint_m_s.html">mbigint_m_s &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a> &gt; mbigint_m_mbigint</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">mbigint_m_mbigint</h1>
    <p class="refpurpose">binary operators * (product) for mbigint</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">A,B,C:</span>
            <dd><p class="para">mbigint</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">mbigint &#0034;product&#0034; operator</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabcomment">//</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabnumber">123456</span>
<span class="scilabid">y</span><span class="scilaboperator">=</span><span class="scilabnumber">456789</span>
<span class="scilabid">z</span><span class="scilaboperator">=</span><span class="scilabnumber">987654</span>
<span class="scilabid">MM</span><span class="scilaboperator">=</span><span class="scilabopenclose">[</span><span class="scilabid">x</span> <span class="scilabid">y</span><span class="scilabdefault">;</span> <span class="scilabid">z</span> <span class="scilabid">x</span><span class="scilaboperator">-</span><span class="scilabid">z</span><span class="scilabopenclose">]</span>
<span class="scilabid">M</span><span class="scilaboperator">=</span><span class="scilabid">mbigint</span><span class="scilabopenclose">(</span><span class="scilabid">MM</span><span class="scilabopenclose">)</span>
<span class="scilabid">NN</span><span class="scilaboperator">=</span><span class="scilabopenclose">[</span><span class="scilabid">x</span> <span class="scilaboperator">-</span><span class="scilabid">z</span><span class="scilabdefault">;</span> <span class="scilaboperator">-</span><span class="scilabid">y</span> <span class="scilabid">x</span><span class="scilaboperator">-</span><span class="scilabid">z</span><span class="scilabopenclose">]</span>
<span class="scilabid">N</span><span class="scilaboperator">=</span><span class="scilabid">mbigint</span><span class="scilabopenclose">(</span><span class="scilabid">NN</span><span class="scilabopenclose">)</span>
<span class="scilabid">M</span><span class="scilaboperator">*</span><span class="scilabid">N</span>
<span class="scilabid">MM</span><span class="scilaboperator">*</span><span class="scilabid">NN</span> <span class="scilabcomment">//double verification</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="mbigint.html" class="link">mbigint</a></li>
   <li class="member"><a href="bigint_m_bigint.html" class="link">bigint_m_bigint</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="percentmbigint_m_bigint.html">&lt;&lt; mbigint_m_bigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentmbigint_m_s.html">mbigint_m_s &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
